#ifndef __DRV_GPIO_H
#define __DRV_GPIO_H

#include "stm32f4xx.h"

#define DRV_GPIO_BEEP_PORT   GPIOF
#define DRV_GPIO_BEEP_PIN    GPIO_Pin_8
#define DRV_GPIO_LED0_PORT   GPIOF
#define DRV_GPIO_LED0_PIN    GPIO_Pin_9
#define DRV_GPIO_LED1_PORT   GPIOF
#define DRV_GPIO_LED1_PIN    GPIO_Pin_10
#define DRV_GPIO_KEY_UP_PORT GPIOA
#define DRV_GPIO_KEY_UP_PIN  GPIO_Pin_0
#define DRV_GPIO_KEY0_PORT   GPIOE
#define DRV_GPIO_KEY0_PIN    GPIO_Pin_4
#define DRV_GPIO_KEY1_PORT   GPIOE
#define DRV_GPIO_KEY1_PIN    GPIO_Pin_3
#define DRV_GPIO_KEY2_PORT   GPIOE
#define DRV_GPIO_KEY2_PIN    GPIO_Pin_2

#define DRV_GPIO_LED0(on_off)      ((on_off == 0) ? (GPIO_ResetBits(DRV_GPIO_LED0_PORT, DRV_GPIO_LED0_PIN)) : (GPIO_SetBits(DRV_GPIO_LED0_PORT, DRV_GPIO_LED0_PIN)))
#define DRV_GPIO_LED1(on_off)      ((on_off == 0) ? (GPIO_ResetBits(DRV_GPIO_LED1_PORT, DRV_GPIO_LED1_PIN)) : (GPIO_SetBits(DRV_GPIO_LED1_PORT, DRV_GPIO_LED1_PIN)))
#define DRV_GPIO_BEEP(beep_status) ((beep_status == 0) ? (GPIO_ResetBits(DRV_GPIO_BEEP_PORT, DRV_GPIO_BEEP_PIN)) : (GPIO_SetBits(DRV_GPIO_BEEP_PORT, DRV_GPIO_BEEP_PIN)))

void drv_gpio_init(void);

#endif // __DRV_GPIO_H